# Makefile for cdevData etc
#
# cdev cdevIO directory
#
# Makefile,v
# Revision 1.9  1998/08/17  14:04:49  akers
# Added 'Minor Version Number' to TARGETDIR in Makefiles
#
# Revision 1.8  1996/07/10  21:03:31  chen
# add mkdir -p
#
# Revision 1.7  1996/06/26  15:54:10  akers
# Modifications to support multiple OS Versions
#
# Revision 1.6  1996/05/14  20:38:05  akers
# Makefile modifications
#
# Revision 1.5  1995/11/14  17:30:15  chen
# new makefile
#
#
include ../Makefile.config

ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

ifeq ($(INCDIR), )
	INCDIR = ../..
endif

OBJS = $(OBJTYPE)/cdevData.o \
	$(OBJTYPE)/cdevDataEntry.o \
	$(OBJTYPE)/cdevTagTable.o \
	$(OBJTYPE)/cdevGlobalTagTable.o

targets: $(OBJTYPE) $(OBJDIR)/$(OBJTYPE) copyobjs copyincs

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)
	
$(OBJDIR)/$(OBJTYPE) :
	@mkdir -p $(OBJDIR)/$(OBJTYPE)

copyobjs: $(OBJS)
	@cp $(OBJS) $(OBJDIR)/$(OBJTYPE)

copyincs:
	@cp *.h *.i $(INCDIR)

clean: clean_hail
	@rm -rf *.o .obj .shobj core *~ 	
